{ lib, config, options, pkgs, ... }:

with lib;
let cfg = config.modules.desktop.games;
in {
  options.modules.desktop.games = {
    enable = mkEnableOption false;
  };

  config = mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      steam
      lutris
      osu-lazer-bin
    ];

    programs.alvr.enable = true;
    programs.alvr.openFirewall = true;

    networking.firewall = {
      allowedTCPPorts = [
        # Steam Remote Play
        27036 27037
      ];
      allowedUDPPorts = [
        # Steam Remote Play
        27031 26036
        # Steam VR Streaing
        10400 10401
      ];
    };
  };
}